# FoundationClasses
TKernel
TCollection

# TCollection_AVLBaseNode Class Reference

`#include <TCollection_AVLBaseNode.hxx>`

Inheritance diagram for TCollection_AVLBaseNode:

[legend]

## Public Member Functions

| TCollection_AVLBaseNode (const TCollection_AVLBaseNodePtr &L, const TCollection_AVLBaseNodePtr &R)
void | SetChild (const TCollection_AVLBaseNodePtr &theNode, const TCollection_Side theSide)
TCollection_AVLBaseNodePtr & | Right () const
TCollection_AVLBaseNodePtr & | Left () const
Standard_Integer & | Count () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | Height (const TCollection_AVLBaseNodePtr &ANode)
static Standard_EXPORT Standard_Integer | RecursiveExtent (const TCollection_AVLBaseNodePtr &ANode)
static Standard_EXPORT Standard_Integer | RecursiveTotalExtent (const TCollection_AVLBaseNodePtr &ANode)

## Protected Attributes

TCollection_AVLBaseNodePtr | myLeft
TCollection_AVLBaseNodePtr | myRight
Standard_Integer | myCount

## Constructor & Destructor Documentation

TCollection_AVLBaseNode::TCollection_AVLBaseNode | ( | const TCollection_AVLBaseNodePtr & | L,
|  | const TCollection_AVLBaseNodePtr & | R
| ) | `[inline]`

## Member Function Documentation

Standard_Integer & TCollection_AVLBaseNode::Count | ( |  | ) | const`[inline]`

Standard_EXPORT const TCollection_AVLBaseNode::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

static Standard_EXPORT Standard_Integer TCollection_AVLBaseNode::Height | ( | const TCollection_AVLBaseNodePtr & | ANode | ) | `[static]`

TCollection_AVLBaseNodePtr & TCollection_AVLBaseNode::Left | ( |  | ) | const`[inline]`

static Standard_EXPORT Standard_Integer TCollection_AVLBaseNode::RecursiveExtent | ( | const TCollection_AVLBaseNodePtr & | ANode | ) | `[static]`

static Standard_EXPORT Standard_Integer TCollection_AVLBaseNode::RecursiveTotalExtent | ( | const TCollection_AVLBaseNodePtr & | ANode | ) | `[static]`

TCollection_AVLBaseNodePtr & TCollection_AVLBaseNode::Right | ( |  | ) | const`[inline]`

void TCollection_AVLBaseNode::SetChild | ( | const TCollection_AVLBaseNodePtr & | theNode,
|  | const TCollection_Side | theSide
| ) | `[inline]`

## Field Documentation

Standard_Integer TCollection_AVLBaseNode::myCount `[protected]`

TCollection_AVLBaseNodePtr TCollection_AVLBaseNode::myLeft `[protected]`

TCollection_AVLBaseNodePtr TCollection_AVLBaseNode::myRight `[protected]`

The documentation for this class was generated from the following files:

- TCollection_AVLBaseNode.hxx
- TCollection_AVLBaseNode.lxx